JIKES_HOME=/mnt/homesyn/sandeepk/Tejas-Java-Binary/development_x86_64-linux_multithread
TEJAS_HOME=/home/sandeep/Desktop/Work/Mercurial/Tejas

if [[ $# -lt 2 ]]
then
	echo "Please enter the full trace file name and the output file name"
	exit 1
fi
#make clean
#rm $2
#rm *.gz

if [[ $# -eq 3 ]]
then
curr_loc=$(pwd)
echo "Curr location: "$curr_loc
echo "Jikes Home is: "$JIKES_HOME

if [[ ! -d $JIKES_HOME ]]
then
echo "Please build jikes, Defaultis x86_64-linux. If you build for some other architecture, change it in this script."
exit 1
else
echo "Jikes build succcess"
fi

cd $JIKES_HOME
ls
echo "Generating trace file to: "$curr_loc/$1
echo "./rvm HelloMultithread 2> $curr_loc/$1"
./rvm HelloMultiThread 2> $curr_loc/$1
wait
cd $curr_loc
fi

if [ ! -f $1 ]
then
	echo "$1 DOES NOT EXIST. ERROR"
	exit 1
else
	echo "$1 exists"
fi

#REMOVE THIS
#exit 1	

echo "TEJAS HOME is: "$TEJAS_HOME

#cp $1 .
make
python conv.py $1
./disas.o
javac conv1.java
java conv1
gzip -c fin_trace.txt_0 > trace_file_0.gz


if [[ ! -e $TEJAS_HOME/jars/tejas.jar ]]
then
cd $TEJAS_HOME
ant make-jar
cd -
	if [[ ! -e $TEJAS_HOME/jars/tejas.jar ]]
	then
	echo "There was some error while building tejas. Please build it manually. It is located at $TEJAS_HOME. Please do read the README file."
	exit 1
	fi
fi

java -jar $TEJAS_HOME/jars/tejas.jar $TEJAS_HOME/src/simulator/config/config.xml $2 trace_file
rm -f temp*.txt
rm -f fin_trace.txt_0
rm -f *.gz
#rm -f *trace*
echo "DONE"

